PPA TESTS(1)

NAME
ppa tests - Summarizes autopkgtest results for the PPA, with links to trigger new test runs.

SYNOPSIS
ppa tests [-h | --help] [-a | --architectures <ARCHITECTURE[,...]>] [-r | --releases <CODENAME[,...]>] [-p | --packages <PACKAGE[,...]>] [-L | --show-urls] [--show-rdepends] <ppa-name>

DESCRIPTION
The ppa tests command provides clickable links (or URLs) for triggering DEP8 autopkgtest runs for package(s) in an archive. It also shows currently in-process tests, and summarizes the results of tests that have completed.

Note that running autopkgtests is restricted to those with package upload capabilities, so those without will need to print the URLs (via the --show-urls argument), and then request a core dev or other uploader to trigger them.

OPTIONS

The following options can be used with the ppa tests command.

-h, --help
    Shows the ppa tests command's basic usage and options.

-a, --architectures <ARCH[,ARCH]>
    Comma-separated list of hardware architectures to include in the display. Architectures not in this list will not be displayed.

-r, --releases <RELEASE[,RELEASE]>
    Comma-separated list of Ubuntu release series codenames to include display of autopkgtest triggers and results. If releases are specified that do not have published packages in the archive, they will be skipped in the output.

    If this argument is not specified, ppa tests will default to all supported releases, including both "standard" and "expanded security maintenance" support.

    Note that while it is possible to specify any valid release codename to ppa tests, the autopkgtest service's testing and results may not be available for unsupported releases.

-p, --packages <PACKAGE[,PACKAGE]>
    Comma-separated list of source package names to include in the display of autopkgtest triggers and results. If packages are specified that do not have publications in the archive, no triggers or results will be displayed.

    If this argument is not specified, ppa tests will default to all packages in the archive that have been published for the selected (or default) releases when displaying autopkgtest triggers and results.

-L, --show-urls
    By default, ppa tests will display output to the terminal using clickable hyperlinks using ANSI codes. This option disables this feature for situations it is not desired, such as if the terminal program lacks support for these kinds of ANSI codes, or if the trigger URLs are preferred. For instance, if one does not (yet) have authorization to run autopkgtests themselves, this option allows copying and pasting the URLs for another packager to run.

--show-rdepends
    Normally autopkgtest triggers are displayed for the package in the specified archive or PPA. With this option, triggers are also printed for the "reverse dependencies" of the package. This enables checking that the newly updated package does not break any other packages dependent on it.

    For example, if modifying a database package such as Postgres, this would enable re-testing all applications built on top of that database, to identify if any API/ABI changes or deprecated functionality would create issues for other packages.

EXIT STATUS

ppa exits with status 0 if a command completes successfully, and nonzero on errors.

SEE ALSO
ppa-dev-tools(1)

PPA
Part of the ppa-dev-tools(1) suite.